journal_set_features
Prev | Journal Level | Next

## Name

journal_set_features — Mark a given journal feature in the superblock

## Synopsis

`int journal_set_features (` | journal_t * | journal,
| unsigned long | compat,
| unsigned long | ro,
| unsigned long | incompat`)`;

## Arguments

`journal`

  Journal to act on.

`compat`

  bitmask of compatible features

`ro`

  bitmask of features that force read-only mount

`incompat`

  bitmask of incompatible features

## Description

Mark a given journal feature as present on the superblock. Returns true if the requested features could be set.

Prev | Up | Next
journal_check_available_features | Home | journal_update_format